ensure older pattern only match up to version 8